// Code by KSkun, 2019/1
#include <cstdio>
#include <cctype>
#include <cstring>

#include <algorithm>

typedef long long LL;

inline char fgc() {
	static char buf[100000], *p1 = buf, *p2 = buf;
	return p1 == p2 && (p2 = (p1 = buf) + fread(buf, 1, 100000, stdin), p1 == p2)
		? EOF : *p1++;
}

inline LL readint() {
	LL res = 0, neg = 1; char c = fgc();
	for(; !isdigit(c); c = fgc()) if(c == '-') neg = -1;
	for(; isdigit(c); c = fgc()) res = res * 10 + c - '0';
	return res * neg;
}

inline char readsingle() {
	char c;
	while(!isgraph(c = fgc())) {}
	return c;
}

const int MAXN = 10005;

int n, rlen = 0, len;
char res[MAXN], w[MAXN];

inline bool issame(int len) {
	for(int i = 1; i <= len; i++) {
		if(res[rlen - (len - i)] != w[i]) return false;
	}
	return true;
}

inline int solve(int len) {
	for(int i = std::min(rlen, len); i >= 1; i--) {
		if(issame(i)) return i;
	}
	return 0;
}

int main() {
	scanf("%d", &n);
	for(int i = 1; i <= n; i++) {
		scanf("%s", w + 1);
		len = strlen(w + 1);
		int r = solve(len);
		for(int i = 1; i <= len - r; i++) {
			res[rlen + i] = w[r + i];
		}
		rlen += len - r;
	}
	printf("%s", res + 1);
	return 0;
}
