// Code by KSkun, 2019/5
#include <cstdio>
#include <cctype>
#include <cstring>

#include <algorithm>

typedef long long LL;

inline char fgc() {
	static char buf[100000], *p1 = buf, *p2 = buf;
	return p1 == p2 && (p2 = (p1 = buf) + fread(buf, 1, 100000, stdin), p1 == p2)
		? EOF : *p1++;
}

inline LL readint() {
	LL res = 0, neg = 1; char c = fgc();
	for(; !isdigit(c); c = fgc()) if(c == '-') neg = -1;
	for(; isdigit(c); c = fgc()) res = res * 10 + c - '0';
	return res * neg;
}

inline char readsingle() {
	char c;
	while(!isgraph(c = fgc())) {}
	return c;
}

inline bool isop(char c) {
	return c == 'U' || c == 'D' || c == 'R' || c == 'L';
}

inline char readop() {
	char c;
	while(!isop(c = fgc())) {}
	return c;
}

int n, m, N;

int main() {
	n = readint(); m = readint(); N = readint();
	int nx = 0, ny = 0;
	while(N--) {
		char op = readop();
		if(op == 'U') ny++;
		else if(op == 'D') ny--;
		else if(op == 'L') nx--;
		else if(op == 'R') nx++;
		if(nx < 0 || nx >= n || ny < 0 || ny >= m) {
			puts("invalid"); 
			return 0;
		}
	}
	puts("valid");
	return 0;
}