# 机械综合医院

Translation by KSkun

原题：[問題「機械の総合病院」 | エンジニアが死滅シタ世界 〜アンドロイドとふたりぼっちで生きろ〜](https://paiza.jp/botchi/challenges/botchi_c_3002)

## 问题描述

你在分析PAIZA医院的系统。
为了避免被非法入侵，医院系统的用户密码应该达到一定的强度。
PAIZA医院的系统要求用户密码满足以下的强度要求：

- 长度不低于6
- 必须包含英文字母和数字
- 同一字符不得连续出现3次或以上

密码中，不区分英文字符的大小写。
如果密码满足以上强度要求，输出`Valid`，否则输出`Invalid`。

例如，样例1中的密码`7Caaad9`满足条件1和2，但是不满足条件3，因为`aaa`这里连续出现了3个`a`字符。

## 输入格式

```
t
```

- 给出表示密码的字符串t。
- 在输入的最后，包含一个换行符。

## 输出格式

如果密码满足以上强度要求，输出`Valid`，否则输出`Invalid`。

## 条件

- 1 ≦ t的长度 ≦ 30
- 字符串t只包含半角英文字符及半角数字

## 输入输出样例

### 输入输出样例1

输入：

```
7Caaad9
```

输出：

```
Invalid
```

### 输入输出样例2

输入：

```
DjZGrduN8Mj4
```

输出：

```
Valid
```