// Code by KSkun, 2019/5
#include <cstdio>
#include <cctype>
#include <cstring>

#include <algorithm>

typedef long long LL;

inline char fgc() {
	static char buf[100000], *p1 = buf, *p2 = buf;
	return p1 == p2 && (p2 = (p1 = buf) + fread(buf, 1, 100000, stdin), p1 == p2)
		? EOF : *p1++;
}

inline LL readint() {
	LL res = 0, neg = 1; char c = fgc();
	for(; !isdigit(c); c = fgc()) if(c == '-') neg = -1;
	for(; isdigit(c); c = fgc()) res = res * 10 + c - '0';
	return res * neg;
}

inline char readsingle() {
	char c;
	while(!isgraph(c = fgc())) {}
	return c;
}

inline bool isop(char c) {
	return c == '-' || c == 'D' || c == 'W' || c == 'L';
}

inline char readop() {
	char c;
	while(!isop(c = fgc())) {}
	return c;
}

const int MAXN = 105;

int n, t[MAXN], w[MAXN], d[MAXN], l[MAXN];

int main() {
	n = readint();
	for(int i = 1; i <= n; i++) {
		for(int j = 1; j <= n; j++) {
			char op = readop();
			if(i == j) continue;
			if(op == 'W') {
				w[i]++; t[i] += 2;
			} else if(op == 'D') {
				d[i]++; t[i] += 1;
			} else if(op == 'L') {
				l[i]++;
			}
		}
	}
	int win = 0;
	for(int i = 1; i <= n; i++) {
		if(t[i] > t[win]) win = i;
	}
	printf("%d %d %d %d %d", win, t[win], w[win], d[win], l[win]);
	return 0;
}
