// Code by KSkun, 2019/1
#include <cstdio>
#include <cctype>
#include <cstring>

#include <algorithm>

typedef long long LL;

inline char fgc() {
	static char buf[100000], *p1 = buf, *p2 = buf;
	return p1 == p2 && (p2 = (p1 = buf) + fread(buf, 1, 100000, stdin), p1 == p2)
		? EOF : *p1++;
}

inline LL readint() {
	LL res = 0, neg = 1; char c = fgc();
	for(; !isdigit(c); c = fgc()) if(c == '-') neg = -1;
	for(; isdigit(c); c = fgc()) res = res * 10 + c - '0';
	return res * neg;
}

inline char readsingle() {
	char c;
	while(!isgraph(c = fgc())) {}
	return c;
}

char t[35];
bool hasalpha = false, hasdigit = false;

int main() {
	scanf("%s", t + 1);
	int n = strlen(t + 1);
	if(n < 6) {
		puts("Invalid"); return 0;
	}
	int cnt = 0;
	for(int i = 1; i <= n; i++) {
		if(isupper(t[i])) t[i] = tolower(t[i]);
		if(isalpha(t[i])) hasalpha = true;
		if(isdigit(t[i])) hasdigit = true;
		if(t[i] != t[i - 1]) cnt = 1;
		else cnt++;
		if(cnt >= 3) {
			puts("Invalid"); return 0;
		}
	}
	if(!hasalpha || !hasdigit) {
		puts("Invalid"); return 0;
	}
	puts("Valid");
	return 0;
}
