// Code by KSkun, 2019/1
#include <cstdio>
#include <cctype>

#include <algorithm>

typedef long long LL;

inline char fgc() {
	static char buf[100000], *p1 = buf, *p2 = buf;
	return p1 == p2 && (p2 = (p1 = buf) + fread(buf, 1, 100000, stdin), p1 == p2)
		? EOF : *p1++;
}

inline LL readint() {
	LL res = 0, neg = 1; char c = fgc();
	for(; !isdigit(c); c = fgc()) if(c == '-') neg = -1;
	for(; isdigit(c); c = fgc()) res = res * 10 + c - '0';
	return res * neg;
}

inline char readsingle() {
	char c;
	while(!isgraph(c = fgc())) {}
	return c;
}

inline int win(char a, char b) {
	if(a == b) return 0;
	if(a == 'g' && b == 'c') return 1;
	if(a == 'c' && b == 'p') return 1;
	if(a == 'p' && b == 'g') return 1;
	return -1;
}

int n, cnta = 0, cntb = 0;
char wa[5], wb[5];

int main() {
	scanf("%d", &n);
	for(int i = 1; i <= n; i++) {
		scanf("%s%s", wa, wb);
		int res = win(wa[0], wb[0]);
		if(res > 0) cnta++;
		else if(res < 0) cntb++;
	}
	printf("%d\n%d\n", cnta, cntb);
	return 0;
}
